%global  __requires_exclude devel\\(/lib/libNoVersion\\)

%define  major	 2
%define  libname %mklibname geotiff %{major}
%define  libdev  %mklibname geotiff -d

Name:    geotiff
Summary: Cartographic software
Version: 1.4.2
Release: %mkrel 1
Group:   Sciences/Geosciences
License: MIT-like
URL:     http://geotiff.osgeo.org/
Source0: http://download.osgeo.org/geotiff/libgeotiff/libgeotiff-%{version}.tar.gz
#security fixes commited after 1.4.2
Patch0:  libgeotiff-1.4.2-security-print.patch

Requires: proj
BuildRequires: libtiff-devel >= 3.6.0 
BuildRequires: libjpeg-devel 
BuildRequires: zlib-devel 
BuildRequires: proj-devel
#BuildRequires: doxygen

%description
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation
of GeoTIFF keys in new files.



#------------------------------------------------------------



%package -n %libname
Summary: Cartographic software - Libraries
Group: Sciences/Geosciences

%description -n %libname
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation
of GeoTIFF keys in new files. For more information about GeoTIFF
specifications, projection codes and use, see the WWW web page at:


#------------------------------------------------------------



%package -n %libdev
Summary: Cartographic software - Development files
Group: Sciences/Geosciences
Requires: %libname = %{version}
Provides: geotiff-devel = %{version}-%{release}
Requires: libtiff-devel >= 3.6.0
Obsoletes: %{libname}-devel

%description -n %libdev
libgeotiff development files.


%prep
%setup -q -n libgeotiff-%version
%autopatch -p1

%build

%configure2_5x \
	--with-proj=%{_prefix} \
	--with-jpeg=%{_prefix} \
        --with-zlib=%{_prefix} \
	--with-libtiff=%{_prefix} \
	--enable-incode-epsg

%make


%install
%makeinstall
chmod 644 %{buildroot}%{_includedir}/*

# install manualy some file
%__install -p -m 755 bin/makegeo %{buildroot}%{_bindir}

# install pkgconfig file
cat > %{name}.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}/%{name}

Name: %{name}
Description: GeoTIFF file format library
Version: %{version}
Libs: -L\${libdir} -lgeotiff
Cflags: -I\${includedir}
EOF

%__mkdir -p %{buildroot}%{_libdir}/pkgconfig/
%__install -p -m 644 %{name}.pc %{buildroot}%{_libdir}/pkgconfig/


find %{buildroot}%{_libdir} -name *.la -delete

%files 
%{_bindir}/geotifcp
%{_bindir}/applygeo
%{_bindir}/listgeo
%{_bindir}/makegeo
%{_datadir}/epsg_csv


%files -n %libname
%{_libdir}/*.so.%{major}{,.*}
%{_mandir}/man1/*.1.*

%files -n %libdev
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Apr 05 2017 eatdirt <eatdirt> 1.4.2-1.mga6
+ Revision: 1095954
- Add patch to secure sscanf()/fscanf() uses
- Upgrade to bug fix release 1.4.2 (#20630)

* Thu May 19 2016 eatdirt <eatdirt> 1.4.1-1.mga6
+ Revision: 1016887
- Upgrade to 1.4.1

* Thu Feb 04 2016 umeabot <umeabot> 1.2.5-10.mga6
+ Revision: 936013
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.5-9.mga5
+ Revision: 744370
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.5-8.mga5
+ Revision: 679507
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.2.5-7.mga4
+ Revision: 504795
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.5-6.mga3
+ Revision: 351403
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 obgr_seneca <obgr_seneca> 1.2.5-5.mga3
+ Revision: 254560
- Rebuild for new proj

* Thu Dec 22 2011 fwang <fwang> 1.2.5-4.mga2
+ Revision: 186115
- rebuild for new tiff

* Thu Mar 24 2011 ennael <ennael> 1.2.5-3.mga1
+ Revision: 76973
- clean spec file
- imported package geotiff

